- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.DynamicTargetingKeysListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys/list#try-it)

Retrieves a list of dynamic targeting keys.

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/dynamicTargetingKeys`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `names[]` | `string` Select only dynamic targeting keys exactly matching these names. |
| `objectType` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys#ObjectType`)`` Select only dynamic targeting keys with this object type. |
| `objectId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only dynamic targeting keys with this object ID. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only dynamic targeting keys whose object has this advertiser ID. |

### Request body

The request body must be empty.

### Response body

Dynamic Targeting Key dynamicTargetingKeys.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "dynamicTargetingKeys": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys#DynamicTargetingKey`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#dynamicTargetingKeysListResponse"`. |
| `dynamicTargetingKeys[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicTargetingKeys#DynamicTargetingKey`)`` Dynamic targeting key collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`